#include <ndb_types.h>
#include <NdbApi.hpp>

#include <iostream.h>

#include "TPProperty.H"

int main(int argc, char** argv)
{
  Property property;

  cout << "Calling ndb_init" << endl;
  if (ndb_init())
  {
    cout << "ndb_init failed" << endl;
  }
  else
  {
    cout << "ndb_init succeeded" << endl;
  }

  cout << "Creating cluster" << endl;
  Ndb_cluster_connection cluster("glass");

  cout << "Connecting cluster" << endl;
  int ndbStatusCode = cluster.connect(4,5,1);
  cout << "cluster.connect returned " << ndbStatusCode << endl;

  cout << "Cluster readying" << endl;
  ndbStatusCode = cluster.wait_until_ready(60,60);
  cout << "cluster.wait_until_ready returned " << ndbStatusCode << endl;

  return ndbStatusCode;
}
